Package de.willuhn.jameica.hbci

# Class AccountContainer

java.lang.Object
de.willuhn.jameica.hbci.AccountContainer

public class AccountContainer extends Object
Dieser Container fasst alle fuer eine HBCI-Bankverbindung notwendigen Daten (BLZ, Kontonummer, Kundennummer, etc.) zusammen. Hintegrund: Bei Erstellung eines neuen RDH-Passports fragt der HBCICallback jeden Wert einzeln vom Benutzer ab. Das wollen wir ihm nicht zumuten. Daher oeffnen wir anfangs einen Dialog, in dem der User alle Daten auf einmal eingeben kann.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`blz`
BLZ.
`String`
`country`
Land.
`String`
`customerid`
Kunden-Kennung.
`String`
`filter`
Filter.
`String`
`host`
Host.
`int`
`port`
TCP-Port.
`String`
`userid`
Benutzer-Kennung.

## Constructor Summary

Constructors
Constructor
Description
`AccountContainer()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### country

public String country
Land.

### blz

public String blz
BLZ.

### host

public String host
Host.

### port

public int port
TCP-Port.

### filter

public String filter
Filter.

### userid

public String userid
Benutzer-Kennung.

### customerid

public String customerid
Kunden-Kennung.

## Constructor Details

### AccountContainer

public AccountContainer()